var assert = require('assert');
var webdriver = require('selenium-webdriver')
var test = require('selenium-webdriver/test');
var firefox = require('selenium-webdriver/firefox');

var driver;

test.describe('Google search', function() {

    test.beforeEach(function(done) {
        this.timeout(5000);
        driver = new webdriver.Builder().
            withCapabilities(webdriver.Capabilities.firefox()).build();
        driver.get('https://google.com');

        done();
    });

    test.afterEach(function(done) {
        driver.quit();
        done();
    });

    test.it('webpage should have expected title value', function(done) {
        var promise = driver.getTitle();
        promise.then(function(title) {
            assert.equal(title, 'Google');
        });

        done();
    });

    test.it('Searchbox should have expected text', function(done) {
        var searchBox = driver.findElement(webdriver.By.name('q'));
        searchBox.sendKeys('random text');
        searchBox.getAttribute('value').then(function(value) {
            assert.equal(value, 'random text');
        });

        done();
    });
});
